v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/kits/{kitNumber}/history
Retrieves a site's kit history. Rights: OrsInventoryGet and OrsUnblinded.
Request
Path Parameters
-
kitNumber(required): number
Kit/Lot number.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object KitStatusHistoryResponse
Title:
KitStatusHistoryResponseResponse object of kit status history.
Nested Schema : KitStatusHistoryResponse
Type:
objectTitle:
KitStatusHistoryResponseResponse object of kit status history.
Show Source
-
inventoryStatus: string
Title:
Inventory StatusAllowed Values:[ "Available", " Damaged", " Destroyed", " Dispensed", " Expired", " Not in Use", " Misallocated", " Missing", " In Transit", " Quarantined", " Pre-quarantined", " Pending Destruction", " Lost by Subject", " Temporarily Unavailable", " Damaged by Subject", " New", " Not Dispensed to Subject", " Returned to Site" ]Inventory status.Example:New, Damaged -
inventoryStatusId: number
(BigDecimal)
Title:
Inventory Status IDAllowed Values:[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:5 -
missingUnits: number
(BigDecimal)
Title:
Missing UnitsMissing Units of Kit.Example:5 -
modifiedDate: string
(date-time)
Title:
Modified DateDate modified -
reason: string
Title:
ReasonReason description.Example:Some description -
returnedUnits: number
(BigDecimal)
Title:
Returned UnitsReturned Units of Kit.Example:10 -
userName: string
Title:
User NameUser name.
404 Response
Invalid study ID or version OR Study not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Structure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectStructure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
Show Source
-
details: object
details
Detailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
-
errorCode: string
Application or business-specific error code representing the error type.Example:
REPT_401 -
errorMessage: string
Human-readable error message describing the failure or issue.Example:
Unauthorized: User does not have access to the requested resource
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectDetailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
Example:
User role is missing required permission REPORTING_VIEW. Field: userId500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Structure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectStructure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
Show Source
-
details: object
details
Detailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
-
errorCode: string
Application or business-specific error code representing the error type.Example:
REPT_401 -
errorMessage: string
Human-readable error message describing the failure or issue.Example:
Unauthorized: User does not have access to the requested resource
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectDetailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
Example:
User role is missing required permission REPORTING_VIEW. Field: userId